keller< Problem, std::true_type >
Inheritance diagram for keller< Problem, std::true_type >:

## Public Types

typedef keller< Problem, std::false_type > | base
typedef base::float_type | float_type
typedef base::value_type | value_type
Public Types inherited from keller< Problem, std::false_type >
typedef Float | float_type
typedef details::pair_with_linear_algebra< float_type, typename Problem::value_type > | value_type

## Public Member Functions

| keller (const Problem &pb, std::string metric="orthogonal")
void | adapt (const value_type &xh, const adapt_option &aopt)
void | reset_geo (const value_type &xh)
value_type | reinterpolate (const value_type &xh)
Public Member Functions inherited from keller< Problem, std::false_type >
| keller (const Problem &pb, std::string metric="orthogonal")
| keller (const keller< Problem, std::false_type > &)
void | reset (const Problem &pb, std::string metric="orthogonal")
float_type | parameter () const
std::string | parameter_name () const
Problem & | get_problem ()
void | set_parameter (float_type s1)
value_type | initial (std::string restart="") const
void | refresh (float_type s, const value_type &xh, const value_type &d_xh_ds) const
value_type | direction (value_type &xh) const
value_type | derivative_versus_parameter (const value_type &xh) const
value_type | residue (const value_type &xh) const
int | solve (value_type &uh, const continuation_option &opts) const
solver::determinant_type | update_derivative (const value_type &xh) const
value_type | derivative_solve (const value_type &mrh) const
value_type | derivative_trans_mult (const value_type &mrh) const
float_type | space_norm (const value_type &xh) const
float_type | dual_space_norm (const value_type &mrh) const
float_type | space_dot (const value_type &xh, const value_type &yh) const
odiststream & | put (odiststream &os, const value_type &xh) const
idiststream & | get (idiststream &is, value_type &xh)
bool | stop (const value_type &xh) const
void | adapt (const value_type &, const adapt_option &)
void | reset_geo (const value_type &)
value_type | reinterpolate (const value_type &xh)

## Additional Inherited Members

Protected Attributes inherited from keller< Problem, std::false_type >
float_type | s
details::add_missing_continuation< Problem > | pb
csr< float_type > | A1
solver | sA1
Problem::value_type | m_df_d_parameter
float_type | s0
value_type | xh0
value_type | d_xh0_ds
bool | has_init
bool | has_refresh
bool | has_spherical
distributor | u_ownership

## Detailed Description

### template<class Problem>
class rheolef::keller< Problem, std::true_type >

Definition at line 279 of file keller.h.

## Member Typedef Documentation

## base

typedef keller<Problem,std::false_type> base

Definition at line 283 of file keller.h.

## float_type

typedef base::float_type float_type

Definition at line 284 of file keller.h.

## value_type

typedef base::value_type value_type

Definition at line 285 of file keller.h.

## Constructor & Destructor Documentation

## keller()

keller | ( | const Problem & | pb,
|  | std::string | metric = `"orthogonal"`
| ) |  |

Definition at line 286 of file keller.h.

## Member Function Documentation

## adapt()

void adapt | ( | const value_type & | xh,
|  | const adapt_option & | aopt
| ) |  |

Definition at line 294 of file keller.h.

## reset_geo()

void reset_geo | ( | const value_type & | xh | ) |

Definition at line 301 of file keller.h.

## reinterpolate()

keller< Problem, std::true_type >::value_type reinterpolate | ( | const value_type & | xh | ) |

Definition at line 309 of file keller.h.

The documentation for this class was generated from the following file:

- /build/rheolef-FQTnje/rheolef-7.1/main/lib/keller.h